Package org.apache.sling.jcr.jackrabbit.accessmanager.post

# Class AbstractAccessServlet

java.lang.Object
jakarta.servlet.GenericServlet
org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet
org.apache.sling.api.servlets.SlingJakartaAllMethodsServlet
org.apache.sling.jcr.jackrabbit.accessmanager.post.AbstractAccessServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `AbstractAccessGetServlet`, `AbstractAccessPostServlet`

public abstract class AbstractAccessServlet extends org.apache.sling.api.servlets.SlingJakartaAllMethodsServlet
Base class for all the servlets for the AccessManager operations

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AbstractAccessServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`bindRestrictionProvider(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider rp)`
`protected org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider`
`getRestrictionProvider()`
Return the RestrictionProvider service
`protected void`
`unbindRestrictionProvider(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider rp)`

### Methods inherited from class org.apache.sling.api.servlets.SlingJakartaAllMethodsServlet

`doDelete, doPost, doPut, getAllowedRequestMethods, isMethodValid, mayService`

### Methods inherited from class org.apache.sling.api.servlets.SlingJakartaSafeMethodsServlet

`doGeneric, doGet, doHead, doOptions, doTrace, getServletInfo, handleMethodNotImplemented, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractAccessServlet

public AbstractAccessServlet()

## Method Details

### bindRestrictionProvider

protected void bindRestrictionProvider(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider rp)

### unbindRestrictionProvider

protected void unbindRestrictionProvider(org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider rp)

### getRestrictionProvider

protected org.apache.jackrabbit.oak.spi.security.authorization.restriction.RestrictionProvider getRestrictionProvider()
Return the RestrictionProvider service